/*html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}*/

:root {
    --filcasa-verde: #00853F;
    --filcasa-verde-scuro: #00792D;
    --color-title-banner-border: #9797974D;
    --color-tab: #00632F;
}

.filcasa-menu-button {
    background-color: var(--filcasa-verde);
    border-color: var(--filcasa-verde);
    color: white;
    border-radius: 4px;
    font-size: 8px;
    height: 52.5px;
}

.incore .icon-menu .main-sidebar .sidebar > nav > ul > li.filcasa-menu-button:hover {
    background-color: var(--filcasa-verde-scuro);
    border-color: var(--filcasa-verde-scuro);
    color: white;
}

.incore .icon-menu .main-sidebar {
    width: 80px;
}

body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .icon-menu .content-wrapper {
    margin-left: 80px;
}

.icon-gradient {
    background: linear-gradient(45deg, #000000, #00853F 90%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
}
.form-check-input{
    position:static;
}

.cta-card {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: end;
    margin-top: 6px;
}
.img-thumb {
    width: 64px; 
    height: 64px;
    object-fit: cover; 
    border-radius: 4px;
}

ul.dropdown-menu button.dropdown-item {
    display: flex;
    font-size: 14px;
    padding: 6px 1rem;
    background-color: inherit;
    color: inherit;
}
    ul.dropdown-menu button.dropdown-item:hover {
        font-weight: 600;
        border-radius: 4px;
        background-color: var(--color-primary-hover-riga);
        color: var(--color-primary);
    }
.incore ul.dropdown-menu {
    padding: 8px;
}

.tab-navigation nav {
    --tabs-padding-x: 16px;
    position: relative;
    padding-top: 1px;
    padding-inline: var(--tabs-padding-x);
    border-bottom: none;
}

.tab-navigation nav::after {
    content: "";
    position: absolute;
    left: var(--tabs-padding-x);
    right: var(--tabs-padding-x);
    bottom: 0;
    height: 1px;
    background: #dee2e6;
    pointer-events: none;
    bottom: -1px;
}

.dt-paging nav::after {
    display: none;
}
.incore .dt-container .dt-paging .dt-paging-button.current, .incore .dt-container .dt-paging .dt-paging-button.current:hover {
    color: black !important;
    border-color: black !important;
}

.nav-tabs {
    border-bottom: none !important;
}

.checkbox-3-column {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

.checkbox-4-column {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.color-text-disabled {
    color: var(--color-text-disabled) !important;
}

.col-action {
    flex: 0 0 20px !important;
    max-width: 20px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .col-action i {
        color: #606060;
    }

    .col-action button:disabled {
        background-color: transparent !important;
    }
.righe-scroll-x {
    overflow-x: auto;
    overflow-y: clip;
    width: 100%;
    display: block !important;
    white-space: normal !important;
    padding-bottom: 15px;
    scrollbar-width: thin;
}

.inner-fluid {
    width: max-content;
    min-width: 100%;
    display: inline-block;
}

.righe-scroll-x .incore-row {
    min-width: max-content !important;
    width: 100%;
}

.righe-scroll-x > .incore-row {
    flex-wrap: wrap !important;
}

.righe-scroll-x .select2-container {
    width: 100% !important;
}

.righe-scroll-x .select2-selection--single {
    width: 100% !important;
}

.righe-scroll-x .select2-selection__rendered {
    display: block !important;
    width: 100% !important;
    max-width: 100% !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.form-floating-symbol .input-group-text {
    width: 2.4rem;
    justify-content: center;
    border-right: 0;
}

.form-floating-symbol .form-control {
    padding-left: 3rem !important;
}

.form-floating-symbol .input-group-text {
    --prepend-width: 2.4rem;
    width: var(--prepend-width);
    justify-content: center;
    border-right: 0
}

.form-floating-symbol input.form-control {
    box-sizing: border-box;
    min-width: 0;
    padding-left: calc(var(--prepend-width) + .5rem) !important;
    padding-right: 1rem;
    border-bottom-left-radius: 0 !important;
    border-top-left-radius: 0 !important;
    border: 1px solid var(--color-linea);
}

.form-floating-symbol .input-group {
    overflow: visible;
}

    .form-floating-symbol .input-group:has(input[readonly]) .input-group-prepend {
        pointer-events: none;
    }
.caricaDoc {
    font-weight: 400;
    font-size: 14px;
    min-height: 32px;
    max-height: 32px;
    color: var(--color-text-tab-icon);
    border-radius: 4px;
    border: 1px solid var(--color-linea);
    padding: 0 15px;
    width: 100%;
    margin-bottom: 1.5rem;
    column-gap: 5%;
    display: flex;
    justify-content: space-between;
    align-content: center;
}

    .caricaDoc a:first-child {
        max-width: 75%;
        padding-top: 0px;
    }

.caricaDoc-Title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 75%;
}
.disabled-link {
    pointer-events: none;
    opacity: 0.5;
    cursor: default;
}
.form-check-input[type="radio"]::after {
    display: inline-block !important;
    position: relative !important;
    inset: 0 !important;
}

.incore .w-100 span.select2-selection {
    min-height: 32px;
    padding-top: 0.6rem;
}
.incore .form-floating input.form-control, .incore .form-floating textarea.form-control, .incore .w-100 select.form-control:not(:first-child) {
    min-height: 32px;
}
.incore .form-floating > .form-control, .incore .form-floating > .form-select {
    height: 32px;
}

.incore table.dataTable tbody tr td:not(:first-child), .incore table.dataTable thead th:not(:first-child) {
    border-left: 1px solid var(--color-linea);
}

.incore table.dataTable tbody tr td, .incore table.dataTable thead th {
    padding-left: 16px;
    padding-right: 16px;
}

.incore .select2-container--default .select2-selection--single .select2-selection__arrow{
margin-top: 5px;
}
.incore .select2.select2-container .select2-selection--clearable .select2-selection__clear{
top:-6px;
}

/*INIZIO COLORI/FORME BTN*/

.incore .btn {
    border-radius: 36px;
    padding: 8px 32px;
    height: 40px;
}
.btn-padding {
    padding: 8px 32px !important;
}

.incore .btn-primary {
    background-color: black;
    color: white;
}
.incore .btn-primary:hover, .incore .btn-primary:focus, .incore .btn-primary:active,
.incore .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active, .show > .btn-primary.dropdown-toggle {
    background-color: white;
    color: black;
    border: 1px solid black;
}
.incore .btn-secondary:not(:disabled) {
    background-color: white;
    color: black;
    border: 1px solid black;
}
    .incore .btn-secondary:hover, .incore .btn-secondary:focus, .incore .btn-secondary:active,
    .incore .btn-secondary:not(:disabled):not(.disabled):active, .btn-secondary:not(:disabled):not(.disabled).active, .show > .btn-secondary.dropdown-toggle {
        background-color: black;
        color: white;
        border: 1px solid black;
    }
    .incore .incore-row {
        min-height: 50px;
        height: 50px;
    }

.incore .btn.btn-square {
    border-radius: 4px;
    padding: 6px 14px 6px 14px;
}

/*FINE COLORI/FORME BTN*/

.incore .incore-user-badges > div {
    border-color: var(--filcasa-verde);
    background-color: var(--filcasa-verde);
    color: white;
}
/*INIZIO WIZARD*/

.wizard-nav {
    flex-wrap: nowrap !important;
    overflow-x: hidden !important;
}

.incore:has(.InCoreModalBody .wizard) .modal-dialog {
    max-width: 850px;
    max-height: 306px;
}
.incore:has(.InCoreModalBody .wizard) h3.InCoreModalTitle {
    flex-direction: row;
}

.incore .wizard.tab-navigation nav::after {
    background-color: transparent;
}
.incore .wizard-nav > .tab-button > i { 
    color: var(--filcasa-verde);
}

.incore .wizard.tab-navigation .nav-tabs .nav-link.active i {
    color: var(--color-cta-text-disabled);
}
.btn-wizard-disabled {
    opacity: 0.5;
    pointer-events: none;
}
.incore .wizard-nav .tab-button:not(:last-of-type)::after
{
    min-width: 4px;
}
.incore .wizard-nav .tab-button::after{
background-color: transparent;
}

/*FINE WIZARD*/

.dz-image-preview .dz-details,
.dz-image-preview .dz-progress,
.dz-image-preview .dz-error-message,
.dz-image-preview .dz-success-mark,
.dz-image-preview .dz-error-mark {
    display: none !important;
}
.incore .dt-azioni.dropdown > .btn.dropdown-toggle {
    color: black;
    padding: 16px;
}


.incore .incore-row .form-check {
    margin-bottom: 2rem;
}
.incore .checkbox-4-column .form-check {
margin-bottom: 1rem;
}
.incore .form-check-label {
    padding-top: 3px;
}

/* Elementi */

.dettelem-riga {
    display: flex;
    gap: 8px;
}

.dettelem-righe-container {
    display: flex;
    flex-direction: row;
    /*gap: 20px;*/
    flex-wrap: wrap; /* opzionale se vuoi andare a capo */
}

.dettelem-riga-elemento {
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 6px;
    min-width: 200px; /* opzionale */
}

.dettelem-griglia {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* o 3 se usi griglia 3x3 */
    gap: 15px;
}

.dettelem-griglia-elemento {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 6px;
}

/* Fine Elementi */


.brand-image {
    height: 30px;
    padding-left: 1rem;
}

.incore .incore-flex:has(.input-validation-error) .select2-selection {
    border-color: var(--red);
}
.incore .incore-flex.w-100:has(.input-validation-error):has(select) label{
    color: var(--red);
}

.incore .btn-secondary.disabled, .btn-secondary:disabled {
border: 1px solid;
}
.incore .form-control:disabled, .form-control[readonly] {
    background-color: transparent;
    cursor: no-drop;
}

.incore-flex i.icon-select + select + .select2 .select2-selection__rendered {
    padding-left: 20px !important;
}

.icon-select {
    position: absolute !important;
    z-index: 2;
    margin: 6px;
    color: var(--color-label-secondario-varie);
    font-size: 20px !important;
}